CRUX-ARM : Home

Home :: Documentation :: Download :: Development :: Community :: Ports :: Packages :: Bugs :: Links :: About :: Donors
gtklepin: cleaned up (added cross_compile patch)
authorJose V Beneyto <sepen@crux.nu>
Tue, 2 Nov 2010 07:27:34 +0000 (08:27 +0100)
committerJose V Beneyto <sepen@crux.nu>
Tue, 2 Nov 2010 07:27:34 +0000 (08:27 +0100)
gtklepin/.md5sum
gtklepin/Pkgfile
gtklepin/gtklepin-0.3-cross_compile.patch [new file with mode: 0644]

index 8c25970bb95723eab5571b14846649c579a6b59e..22627a9aa36b5b2ecce4826cf12d05704acc531d 100644 (file)
@@ -1 +1,2 @@
+a0ccb9c6da43e8f664038bf7112c1d77  gtklepin-0.3-cross_compile.patch
 15eeae2d287dee6df6f6505aa2f4a2a8  gtklepin-0.3.tar.bz2
index 5ff88eb19ff4394130865870c6b1247e3db993d5..4071a03be0f585d76dc80099f0dbbdb1f84b7a1a 100644 (file)
@@ -8,18 +8,19 @@
 name=gtklepin
 version=0.3
 release=1
-source=(http://ordiluc.net/$name/$name-$version.tar.bz2)
+source=(http://ordiluc.net/$name/$name-$version.tar.bz2 \
+        $name-$version-cross_compile.patch)
 
 build() {
   cd $name-$version
 
-  export GTK_LIBS=" -L$CLFS/usr/lib -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0"
-  export GTK_CFLAGS="-I$CLFS/usr/include -pthread -I$CLFS/usr/include/gtk-2.0 -I$CLFS/usr/lib/gtk-2.0/include -I$CLFS/usr/include/atk-1.0 -I$CLFS/usr/include/cairo -I$CLFS/usr/include/pango-1.0 -I$CLFS/usr/include/glib-2.0 -I$CLFS/usr/lib/glib-2.0/include -I$CLFS/usr/include/pixman-1 -I$CLFS/usr/include/freetype2 -I$CLFS/usr/include/libpng12"
+  patch -p1 -i $SRC/$name-$version-cross_compile.patch
 
-  sed -i configure \
-      -e "s|GTK_LIBS=.*|GTK_LIBS=\"$GTK_LIBS\"|g" \
-      -e "s|GTK_CFLAGS=.*|GTK_CFLAGS=\"$GTK_CFLAGS\"|g" \
-      -e 's|no_gtk=yes|no_gtk=|g'
+  export GLIB_LIBS="-pthread -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0"
+  export GLIB_CFLAGS="-pthread -I$CLFS/usr/include/glib-2.0 -I$CLFS/usr/lib/glib-2.0/include"
+
+  export GTK_LIBS="$GLIB_LIBS -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig"
+  export GTK_CFLAGS="-I$CLFS/usr/include -pthread -I$CLFS/usr/include/gtk-2.0 -I$CLFS/usr/lib/gtk-2.0/include -I$CLFS/usr/include/atk-1.0 -I$CLFS/usr/include/cairo -I$CLFS/usr/include/pango-1.0 -I$CLFS/usr/include/pixman-1 -I$CLFS/usr/include/freetype2 -I$CLFS/usr/include/libpng12"
 
   ./configure --build=$CHOST \
               --host=$CTARGET \
@@ -31,7 +32,8 @@ build() {
               --without-zlib
 
   # fix previous declaration of 'getline'
-  sed -i src/* -e 's|getline|gstring_getline|g'
+  sed -i src/* \
+      -e 's|getline|gstring_getline|g'
 
   make
   make DESTDIR=$PKG install
diff --git a/gtklepin/gtklepin-0.3-cross_compile.patch b/gtklepin/gtklepin-0.3-cross_compile.patch
new file mode 100644 (file)
index 0000000..be5219e
--- /dev/null
@@ -0,0 +1,477 @@
+diff -purN gtklepin-0.3.orig/configure gtklepin-0.3/configure
+--- gtklepin-0.3.orig/configure        2010-11-02 07:10:55.000000000 +0000
++++ gtklepin-0.3/configure     2010-11-02 07:20:06.000000000 +0000
+@@ -4818,230 +4818,19 @@ fi
+   echo "$as_me:$LINENO: checking for GLIB - version >= $min_glib_version" >&5
+ echo $ECHO_N "checking for GLIB - version >= $min_glib_version... $ECHO_C" >&6
+-  if test x$PKG_CONFIG != xno ; then
+-    ## don't try to run the test against uninstalled libtool libs
+-    if $PKG_CONFIG --uninstalled $pkg_config_args; then
+-        echo "Will use uninstalled version of GLib found in PKG_CONFIG_PATH"
+-        enable_glibtest=no
+-    fi
+-
+-    if $PKG_CONFIG --atleast-version $min_glib_version $pkg_config_args; then
+-        :
+-    else
+-        no_glib=yes
+-    fi
+-  fi
+-
+-  if test x"$no_glib" = x ; then
+-    GLIB_GENMARSHAL=`$PKG_CONFIG --variable=glib_genmarshal glib-2.0`
+-    GOBJECT_QUERY=`$PKG_CONFIG --variable=gobject_query glib-2.0`
+-    GLIB_MKENUMS=`$PKG_CONFIG --variable=glib_mkenums glib-2.0`
+-
+-    GLIB_CFLAGS=`$PKG_CONFIG --cflags $pkg_config_args`
+-    GLIB_LIBS=`$PKG_CONFIG --libs $pkg_config_args`
+-    glib_config_major_version=`$PKG_CONFIG --modversion glib-2.0 | \
+-           sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
+-    glib_config_minor_version=`$PKG_CONFIG --modversion glib-2.0 | \
+-           sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
+-    glib_config_micro_version=`$PKG_CONFIG --modversion glib-2.0 | \
+-           sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
+-    if test "x$enable_glibtest" = "xyes" ; then
+-      ac_save_CFLAGS="$CFLAGS"
+-      ac_save_LIBS="$LIBS"
+-      CFLAGS="$CFLAGS $GLIB_CFLAGS"
+-      LIBS="$GLIB_LIBS $LIBS"
+-      rm -f conf.glibtest
+-      if test "$cross_compiling" = yes; then
+-  echo $ac_n "cross compiling; assumed OK... $ac_c"
+-else
+-  cat >conftest.$ac_ext <<_ACEOF
+-#line $LINENO "configure"
+-#include "confdefs.h"
+-
+-#include <glib.h>
+-#include <stdio.h>
+-#include <stdlib.h>
+-
+-int
+-main ()
+-{
+-  int major, minor, micro;
+-  char *tmp_version;
+-
+-  system ("touch conf.glibtest");
+-
+-  /* HP/UX 9 (%@#!) writes to sscanf strings */
+-  tmp_version = g_strdup("$min_glib_version");
+-  if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &micro) != 3) {
+-     printf("%s, bad version string\n", "$min_glib_version");
+-     exit(1);
+-   }
+-
+-  if ((glib_major_version != $glib_config_major_version) ||
+-      (glib_minor_version != $glib_config_minor_version) ||
+-      (glib_micro_version != $glib_config_micro_version))
+-    {
+-      printf("\n*** 'pkg-config --modversion glib-2.0' returned %d.%d.%d, but GLIB (%d.%d.%d)\n",
+-             $glib_config_major_version, $glib_config_minor_version, $glib_config_micro_version,
+-             glib_major_version, glib_minor_version, glib_micro_version);
+-      printf ("*** was found! If pkg-config was correct, then it is best\n");
+-      printf ("*** to remove the old version of GLib. You may also be able to fix the error\n");
+-      printf("*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing\n");
+-      printf("*** /etc/ld.so.conf. Make sure you have run ldconfig if that is\n");
+-      printf("*** required on your system.\n");
+-      printf("*** If pkg-config was wrong, set the environment variable PKG_CONFIG_PATH\n");
+-      printf("*** to point to the correct configuration files\n");
+-    }
+-  else if ((glib_major_version != GLIB_MAJOR_VERSION) ||
+-         (glib_minor_version != GLIB_MINOR_VERSION) ||
+-           (glib_micro_version != GLIB_MICRO_VERSION))
+-    {
+-      printf("*** GLIB header files (version %d.%d.%d) do not match\n",
+-           GLIB_MAJOR_VERSION, GLIB_MINOR_VERSION, GLIB_MICRO_VERSION);
+-      printf("*** library (version %d.%d.%d)\n",
+-           glib_major_version, glib_minor_version, glib_micro_version);
+-    }
+-  else
+-    {
+-      if ((glib_major_version > major) ||
+-        ((glib_major_version == major) && (glib_minor_version > minor)) ||
+-        ((glib_major_version == major) && (glib_minor_version == minor) && (glib_micro_version >= micro)))
+-      {
+-        return 0;
+-       }
+-     else
+-      {
+-        printf("\n*** An old version of GLIB (%d.%d.%d) was found.\n",
+-               glib_major_version, glib_minor_version, glib_micro_version);
+-        printf("*** You need a version of GLIB newer than %d.%d.%d. The latest version of\n",
+-             major, minor, micro);
+-        printf("*** GLIB is always available from ftp://ftp.gtk.org.\n");
+-        printf("***\n");
+-        printf("*** If you have already installed a sufficiently new version, this error\n");
+-        printf("*** probably means that the wrong copy of the pkg-config shell script is\n");
+-        printf("*** being found. The easiest way to fix this is to remove the old version\n");
+-        printf("*** of GLIB, but you can also set the PKG_CONFIG environment to point to the\n");
+-        printf("*** correct copy of pkg-config. (In this case, you will have to\n");
+-        printf("*** modify your LD_LIBRARY_PATH enviroment variable, or edit /etc/ld.so.conf\n");
+-        printf("*** so that the correct libraries are found at run-time))\n");
+-      }
+-    }
+-  return 1;
+-}
+-
+-_ACEOF
+-rm -f conftest$ac_exeext
+-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+-  (eval $ac_link) 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+-  (eval $ac_try) 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; }; then
+-  :
+-else
+-  echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
+-( exit $ac_status )
+-no_glib=yes
+-fi
+-rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
++if test "$cross_compiling" = yes; then
++  enable_glibtest=no
++  no_glib=
++  GLIB_GENMARSHAL=`$PKG_CONFIG --variable=glib_genmarshal glib-2.0`
++  GOBJECT_QUERY=`$PKG_CONFIG --variable=gobject_query glib-2.0`
++  GLIB_MKENUMS=`$PKG_CONFIG --variable=glib_mkenums glib-2.0`
++  GLIB_CFLAGS="$GLIB_CFLAGS"
++  GLIB_LIBS="$GLIB_LIBS"
++  CFLAGS="$CFLAGS $GLIB_CFLAGS"
++  LIBS="$GLIB_LIBS $LIBS"
++  echo "$as_me:$LINENO: result: yes" >&5
++  echo "${ECHO_T}yes" >&6
+ fi
+-       CFLAGS="$ac_save_CFLAGS"
+-       LIBS="$ac_save_LIBS"
+-     fi
+-  fi
+-  if test "x$no_glib" = x ; then
+-     echo "$as_me:$LINENO: result: yes (version $glib_config_major_version.$glib_config_minor_version.$glib_config_micro_version)" >&5
+-echo "${ECHO_T}yes (version $glib_config_major_version.$glib_config_minor_version.$glib_config_micro_version)" >&6
+-     :
+-  else
+-     echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6
+-     if test "$PKG_CONFIG" = "no" ; then
+-       echo "*** A new enough version of pkg-config was not found."
+-       echo "*** See http://www.freedesktop.org/software/pkgconfig/"
+-     else
+-       if test -f conf.glibtest ; then
+-        :
+-       else
+-          echo "*** Could not run GLIB test program, checking why..."
+-          ac_save_CFLAGS="$CFLAGS"
+-          ac_save_LIBS="$LIBS"
+-          CFLAGS="$CFLAGS $GLIB_CFLAGS"
+-          LIBS="$LIBS $GLIB_LIBS"
+-          cat >conftest.$ac_ext <<_ACEOF
+-#line $LINENO "configure"
+-#include "confdefs.h"
+-
+-#include <glib.h>
+-#include <stdio.h>
+-
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+-int
+-main ()
+-{
+- return ((glib_major_version) || (glib_minor_version) || (glib_micro_version));
+-  ;
+-  return 0;
+-}
+-_ACEOF
+-rm -f conftest.$ac_objext conftest$ac_exeext
+-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+-  (eval $ac_link) 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } &&
+-         { ac_try='test -s conftest$ac_exeext'
+-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+-  (eval $ac_try) 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; }; then
+-   echo "*** The test program compiled, but did not run. This usually means"
+-          echo "*** that the run-time linker is not finding GLIB or finding the wrong"
+-          echo "*** version of GLIB. If it is not finding GLIB, you'll need to set your"
+-          echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
+-          echo "*** to the installed location  Also, make sure you have run ldconfig if that"
+-          echo "*** is required on your system"
+-        echo "***"
+-          echo "*** If you have an old version installed, it is best to remove it, although"
+-          echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH"
+-else
+-  echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
+- echo "*** The test program failed to compile or link. See the file config.log for the"
+-          echo "*** exact error that occured. This usually means GLIB is incorrectly installed."
+-fi
+-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+-          CFLAGS="$ac_save_CFLAGS"
+-          LIBS="$ac_save_LIBS"
+-       fi
+-     fi
+-     GLIB_CFLAGS=""
+-     GLIB_LIBS=""
+-     GLIB_GENMARSHAL=""
+-     GOBJECT_QUERY=""
+-     GLIB_MKENUMS=""
+-     { { echo "$as_me:$LINENO: error: *** GLIB >= 2.0.0 not installed - please install first ***" >&5
+-echo "$as_me: error: *** GLIB >= 2.0.0 not installed - please install first ***" >&2;}
+-   { (exit 1); exit 1; }; }
+-  fi
+-
+-
+-
+-
+-
+-  rm -f conf.glibtest
+ # Check whether --enable-gtktest or --disable-gtktest was given.
+ if test "${enable_gtktest+set}" = set; then
+@@ -5120,221 +4909,16 @@ fi
+   echo "$as_me:$LINENO: checking for GTK+ - version >= $min_gtk_version" >&5
+ echo $ECHO_N "checking for GTK+ - version >= $min_gtk_version... $ECHO_C" >&6
+-  if test x$PKG_CONFIG != xno ; then
+-    ## don't try to run the test against uninstalled libtool libs
+-    if $PKG_CONFIG --uninstalled $pkg_config_args; then
+-        echo "Will use uninstalled version of GTK+ found in PKG_CONFIG_PATH"
+-        enable_gtktest=no
+-    fi
+-
+-    if $PKG_CONFIG --atleast-version $min_gtk_version $pkg_config_args; then
+-        :
+-    else
+-        no_gtk=yes
+-    fi
+-  fi
+-
+-  if test x"$no_gtk" = x ; then
+-    GTK_CFLAGS=`$PKG_CONFIG $pkg_config_args --cflags`
+-    GTK_LIBS=`$PKG_CONFIG $pkg_config_args --libs`
+-    gtk_config_major_version=`$PKG_CONFIG --modversion gtk+-2.0 | \
+-           sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
+-    gtk_config_minor_version=`$PKG_CONFIG --modversion gtk+-2.0 | \
+-           sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
+-    gtk_config_micro_version=`$PKG_CONFIG --modversion gtk+-2.0 | \
+-           sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
+-    if test "x$enable_gtktest" = "xyes" ; then
+-      ac_save_CFLAGS="$CFLAGS"
+-      ac_save_LIBS="$LIBS"
+-      CFLAGS="$CFLAGS $GTK_CFLAGS"
+-      LIBS="$GTK_LIBS $LIBS"
+-      rm -f conf.gtktest
+-      if test "$cross_compiling" = yes; then
+-  echo $ac_n "cross compiling; assumed OK... $ac_c"
+-else
+-  cat >conftest.$ac_ext <<_ACEOF
+-#line $LINENO "configure"
+-#include "confdefs.h"
+-
+-#include <gtk/gtk.h>
+-#include <stdio.h>
+-#include <stdlib.h>
+-
+-int
+-main ()
+-{
+-  int major, minor, micro;
+-  char *tmp_version;
+-
+-  system ("touch conf.gtktest");
+-
+-  /* HP/UX 9 (%@#!) writes to sscanf strings */
+-  tmp_version = g_strdup("$min_gtk_version");
+-  if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &micro) != 3) {
+-     printf("%s, bad version string\n", "$min_gtk_version");
+-     exit(1);
+-   }
+-
+-  if ((gtk_major_version != $gtk_config_major_version) ||
+-      (gtk_minor_version != $gtk_config_minor_version) ||
+-      (gtk_micro_version != $gtk_config_micro_version))
+-    {
+-      printf("\n*** 'pkg-config --modversion gtk+-2.0' returned %d.%d.%d, but GTK+ (%d.%d.%d)\n",
+-             $gtk_config_major_version, $gtk_config_minor_version, $gtk_config_micro_version,
+-             gtk_major_version, gtk_minor_version, gtk_micro_version);
+-      printf ("*** was found! If pkg-config was correct, then it is best\n");
+-      printf ("*** to remove the old version of GTK+. You may also be able to fix the error\n");
+-      printf("*** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing\n");
+-      printf("*** /etc/ld.so.conf. Make sure you have run ldconfig if that is\n");
+-      printf("*** required on your system.\n");
+-      printf("*** If pkg-config was wrong, set the environment variable PKG_CONFIG_PATH\n");
+-      printf("*** to point to the correct configuration files\n");
+-    }
+-  else if ((gtk_major_version != GTK_MAJOR_VERSION) ||
+-         (gtk_minor_version != GTK_MINOR_VERSION) ||
+-           (gtk_micro_version != GTK_MICRO_VERSION))
+-    {
+-      printf("*** GTK+ header files (version %d.%d.%d) do not match\n",
+-           GTK_MAJOR_VERSION, GTK_MINOR_VERSION, GTK_MICRO_VERSION);
+-      printf("*** library (version %d.%d.%d)\n",
+-           gtk_major_version, gtk_minor_version, gtk_micro_version);
+-    }
+-  else
+-    {
+-      if ((gtk_major_version > major) ||
+-        ((gtk_major_version == major) && (gtk_minor_version > minor)) ||
+-        ((gtk_major_version == major) && (gtk_minor_version == minor) && (gtk_micro_version >= micro)))
+-      {
+-        return 0;
+-       }
+-     else
+-      {
+-        printf("\n*** An old version of GTK+ (%d.%d.%d) was found.\n",
+-               gtk_major_version, gtk_minor_version, gtk_micro_version);
+-        printf("*** You need a version of GTK+ newer than %d.%d.%d. The latest version of\n",
+-             major, minor, micro);
+-        printf("*** GTK+ is always available from ftp://ftp.gtk.org.\n");
+-        printf("***\n");
+-        printf("*** If you have already installed a sufficiently new version, this error\n");
+-        printf("*** probably means that the wrong copy of the pkg-config shell script is\n");
+-        printf("*** being found. The easiest way to fix this is to remove the old version\n");
+-        printf("*** of GTK+, but you can also set the PKG_CONFIG environment to point to the\n");
+-        printf("*** correct copy of pkg-config. (In this case, you will have to\n");
+-        printf("*** modify your LD_LIBRARY_PATH enviroment variable, or edit /etc/ld.so.conf\n");
+-        printf("*** so that the correct libraries are found at run-time))\n");
+-      }
+-    }
+-  return 1;
+-}
+-
+-_ACEOF
+-rm -f conftest$ac_exeext
+-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+-  (eval $ac_link) 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+-  (eval $ac_try) 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; }; then
+-  :
+-else
+-  echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
+-( exit $ac_status )
+-no_gtk=yes
++if test "$cross_compiling" = yes; then
++  enable_gtktest=no
++  no_gtk=
++  GTK_CFLAGS="$GTK_CFLAGS"
++  GTK_LIBS="$GTK_LIBS"
++  CFLAGS="$CFLAGS $GTK_CFLAGS"
++  LIBS="$GTK_LIBS $LIBS"
++  echo "$as_me:$LINENO: result: yes" >&5
++  echo "${ECHO_T}yes" >&6
+ fi
+-rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
+-       CFLAGS="$ac_save_CFLAGS"
+-       LIBS="$ac_save_LIBS"
+-     fi
+-  fi
+-  if test "x$no_gtk" = x ; then
+-     echo "$as_me:$LINENO: result: yes (version $gtk_config_major_version.$gtk_config_minor_version.$gtk_config_micro_version)" >&5
+-echo "${ECHO_T}yes (version $gtk_config_major_version.$gtk_config_minor_version.$gtk_config_micro_version)" >&6
+-     :
+-  else
+-     echo "$as_me:$LINENO: result: no" >&5
+-echo "${ECHO_T}no" >&6
+-     if test "$PKG_CONFIG" = "no" ; then
+-       echo "*** A new enough version of pkg-config was not found."
+-       echo "*** See http://pkgconfig.sourceforge.net"
+-     else
+-       if test -f conf.gtktest ; then
+-        :
+-       else
+-          echo "*** Could not run GTK+ test program, checking why..."
+-        ac_save_CFLAGS="$CFLAGS"
+-        ac_save_LIBS="$LIBS"
+-          CFLAGS="$CFLAGS $GTK_CFLAGS"
+-          LIBS="$LIBS $GTK_LIBS"
+-          cat >conftest.$ac_ext <<_ACEOF
+-#line $LINENO "configure"
+-#include "confdefs.h"
+-
+-#include <gtk/gtk.h>
+-#include <stdio.h>
+-
+-#ifdef F77_DUMMY_MAIN
+-#  ifdef __cplusplus
+-     extern "C"
+-#  endif
+-   int F77_DUMMY_MAIN() { return 1; }
+-#endif
+-int
+-main ()
+-{
+- return ((gtk_major_version) || (gtk_minor_version) || (gtk_micro_version));
+-  ;
+-  return 0;
+-}
+-_ACEOF
+-rm -f conftest.$ac_objext conftest$ac_exeext
+-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+-  (eval $ac_link) 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } &&
+-         { ac_try='test -s conftest$ac_exeext'
+-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+-  (eval $ac_try) 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; }; then
+-   echo "*** The test program compiled, but did not run. This usually means"
+-          echo "*** that the run-time linker is not finding GTK+ or finding the wrong"
+-          echo "*** version of GTK+. If it is not finding GTK+, you'll need to set your"
+-          echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
+-          echo "*** to the installed location  Also, make sure you have run ldconfig if that"
+-          echo "*** is required on your system"
+-        echo "***"
+-          echo "*** If you have an old version installed, it is best to remove it, although"
+-          echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH"
+-else
+-  echo "$as_me: failed program was:" >&5
+-cat conftest.$ac_ext >&5
+- echo "*** The test program failed to compile or link. See the file config.log for the"
+-          echo "*** exact error that occured. This usually means GTK+ is incorrectly installed."
+-fi
+-rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
+-          CFLAGS="$ac_save_CFLAGS"
+-          LIBS="$ac_save_LIBS"
+-       fi
+-     fi
+-     GTK_CFLAGS=""
+-     GTK_LIBS=""
+-     { { echo "$as_me:$LINENO: error: *** GTK+ >= 2.0.0 not installed - please install first ***" >&5
+-echo "$as_me: error: *** GTK+ >= 2.0.0 not installed - please install first ***" >&2;}
+-   { (exit 1); exit 1; }; }
+-  fi
+-
+-
+-  rm -f conf.gtktest
+-
+ ALL_LINGUAS="fr"
+ # Make sure we can run config.sub.